#include "stm32f10x.h"                  // Device header
#include "Delay.h"
#include "OLED.h"
#include "Menu.h"
#include "Key.h"
#include "MyRTC.h"
#include "MPU6050.h"
#include "Timer.h"

/**
  * 坐标轴定义：
  * 左上角为(0, 0)点
  * 横向向右为X轴，取值范围：0~127
  * 纵向向下为Y轴，取值范围：0~63
  * 
  *       0             X轴           127 
  *      .------------------------------->
  *    0 |
  *      |
  *      |
  *      |
  *  Y轴 |
  *      |
  *      |
  *      |
  *   63 |
  *      v
  * 
  */

int main(void)
{
	int menu2;
	/*OLED初始化*/
	OLED_Init();
	Key_Init();
	MyRTC_Init();
	MPU6050_Init();
	Timer_Init();
	
	while (1)
	{
		menu2=menu1();
		if (menu2==1){menu2_RencentTime();}
		if (menu2==2){menu2_TodayStep();}
		if (menu2==3){menu2_SetClock();}
		if (menu2==4){menu2_SetStep();}
	}
}

void TIM2_IRQHandler(void)
{
	if(TIM_GetITStatus(TIM2, TIM_IT_Update) == SET)    //判断是否为定时器TIM2更新中断
	{
		Pedometer1_Tick();
		Pedometer2_Tick();
		TIM_ClearITPendingBit(TIM2, TIM_IT_Update);    //清除定时器TIM2更新中断标志位 
	}
}